Subject: [rbridge] Ingress Rbridge address and BCN

From: sgai at nuovasystems.com (Silvano Gai)
Date: Fri, 27 Oct 2006 08:52:34 -0700

Catlin,

I am not sure I understand your proposal.
Can you provide a bit more of explanation?

-- Silvano

> -----Original Message-----
> From: Caitlin Bestler [mailto:caitlinb at broadcom.com]
> Sent: Friday, October 27, 2006 8:45 AM
> To: Silvano Gai; Radia.Perlman at sun.com; Wadekar, Manoj K
> Cc: rbridge at postel.org
> Subject: RE: [rbridge] Ingress Rbridge address and BCN
> 
> rbridge-bounces at postel.org wrote:
> > If the congestion is detected in the core of the TRILL
> > network, how do you signal back to the source host if you
> > don't know which is the ingresss RBridge?
> >
> > You cannot look-up the inner MAC address, because in the core
> > of the network you don't keep the inner MAC addresses in the table.
> > Correct?
> >
> > This is a clear reason while you need the ingress RBridge address.
> >
> 
> What harm would there be in sending the BCN RBridge encapsulated
> with the source-rbridge being the congesting detecting bridge?
> 
> Obviously it generates more traffic, but I'm not convinced that
> congestion detection by a "core rbridge" that does not already
> know of the source will be a common occurrence. The benefits of
> adding rbridge functionality are far stronger for the ingress
> and egress rbridges.